import {parse} from 'date-fns'
import {DATEFNS_DATE_FORMAT_KEBAB, DATEFNS_DATETIME_FORMAT_KEBAB} from '@/constants/date'
import type {DateKebab, TimeKebab} from '@/types/DateKebab'

export function parseKebabDate(date: DateKebab): Date {
	return parse(date, DATEFNS_DATE_FORMAT_KEBAB, new Date())
}

export function parseKebabDateTime(date: TimeKebab): Date {
	return parse(date, DATEFNS_DATETIME_FORMAT_KEBAB, new Date())
}